Get Task
curl --request GET \
--url https://tms.universal.rollout.com/api/tasks/{id}import requests
url = "https://tms.universal.rollout.com/api/tasks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://tms.universal.rollout.com/api/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"personId": "<string>",
"assignedUserId": "<string>",
"dueDateTime": "<string>",
"isCompleted": true,
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"originalIds": {},
"original": {}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Tasks
Get Task
GET /tasks/
GET
/
tasks
/
{id}
Get Task
GET /tasks/{id}
Base URL: https://tms.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/tms.json GET /tasks/{id}Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I